Bug 178190 - myths web page should be updated
Summary: myths web page should be updated
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-27 00:00 UTC by olivier
Modified: 2020-01-25 12:47 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2013-04-27 00:00:00 UTC
Reading this page: http://www.freebsd.org/advocacy/myths.html

We found old facts like:

"All the *BSD Projects use CVS to maintain their source code.

All the *BSD Projects: make a CVS tree available for anyone to browse and download, 24 hours a day. The tree can be retrieved using Anonymous CVS, CVSup, CVSupit, CTM (by e-mail), or through simple FTP."


=> FreeBSD migrate to SVN some time ago
=> Is important to precise "24 hours a day" ?

We should replace this part by something like that:

"All the *BSD Projects use SVN or at least CVS to maintain their source code.

All the *BSD Projects: make a SVN or CVS tree available for anyone to browse and download, 24 hours a day. The tree can be retrieved using Anonymous CVS, CVSup, CVSupit, CTM (by e-mail), SVN, or through simple FTP/HTTP."




On the "You cannot make your own distributions or derivative works of *BSD" section, there are some died link/project:

- ThinBSD => Blank page website, don't know if it's still alive

And FreeNAS and NAS4Free are missing from this list too.

Other outdated fact: 

The "Technological enhancements" list should be updated (Capsicum, ZFS, etc...)

Other outdated fact:
"Architecture ports: FreeBSD supports seven main architectures currently: Alpha, AMD64, i386, Itanium, PC-98, PowerPC and UltraSPARC"

=> We should remove Alpha and add ARM

The "You can't cluster *BSD systems (parallel computing)" section should be updated with the HybridCluster (http://www.hybrid-cluster.com/) example that is more recent than the given examples.

Other outdated fact:
"FreeBSD: There are currently more than 16,000 applications ready to download and install in the FreeBSD ports collection."

=> FreshPorts indicate 24,376 ports.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2013-04-27 00:07:36 UTC
Responsible Changed
From-To: freebsd-www->eadler

I'll take it.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2013-06-26 19:04:46 UTC
Responsible Changed
From-To: eadler->freebsd-doc

I don't have time for this PR any time soon.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:01 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 4 commit-hook freebsd_committer 2020-01-25 12:16:21 UTC
A commit references this bug:

Author: carlavilla
Date: Sat Jan 25 12:15:33 UTC 2020
New revision: 53815
URL: https://svnweb.freebsd.org/changeset/doc/53815

Log:
  Add FreeNAS and XigmaNAS to the myths section

  PR:		178190
  Submitted by:	olivier@cochard.me
  Patch by:	carlavilla@
  Approved by:	bcr@(mentor)
  Differential Revision:	https://reviews.freebsd.org/D23360

Changes:
  head/en_US.ISO8859-1/htdocs/advocacy/myths.xml
Comment 5 Sergio Carlavilla Delgado freebsd_committer 2020-01-25 12:47:35 UTC
Fixed.